# ListViewComboBox

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Control](/api/wisej.web/general/control.md)
  * [ListControl](/api/wisej.web/lists-and-grids/listcontrol.md)
    * [ComboBox](/api/wisej.web/lists-and-grids/combobox.md)
      * [UserComboBox](/api/wisej.web/lists-and-grids/wisej.web.usercombobox.md)
        * [ListViewComboBox](/api/wisej.web/lists-and-grids/wisej.web.listviewcombobox.md)

The TreeViewComboBox control represents a [UserComboBox](/api/wisej.web/lists-and-grids/wisej.web.usercombobox.md) control with a [ListView](/api/wisej.web/lists-and-grids/listview.md) as the drop down panel.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ListViewComboBox : UserComboBox
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ListViewComboBox
    Inherits UserComboBox
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ListViewComboBox()

Initializes a new ListViewComboBox control.

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Columns

[ColumnHeaderCollection](/api/wisej.web/lists-and-grids/listview/wisej.web.listview.columnheadercollection.md): Returns the collection of all column headers that appear in the control.

### ![](/files/hsR4ok3152WyAf8J2C1u) DataMember

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the name of the list or table in the data source for which the [ListView](#listview) is displaying data. (Default: `""`)

### ![](/files/hsR4ok3152WyAf8J2C1u) DataSource

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns or sets the data source for this [ListView](#listview). (Default: `null`)

**Throws:**

* [ArgumentException](https://docs.microsoft.com/dotnet/api/system.argumentexception) The assigned value does not implement the [IList](https://docs.microsoft.com/dotnet/api/system.collections.ilist) or [IListSource](https://docs.microsoft.com/dotnet/api/system.componentmodel.ilistsource) interfaces.

### ![](/files/hsR4ok3152WyAf8J2C1u) DisplayMember

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the property to display in the [Items](/api/wisej.web/lists-and-grids/listview.md#items). (Default: `""`)

### ![](/files/hsR4ok3152WyAf8J2C1u) IconMember

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the property to use as the icon for the [Items](/api/wisej.web/lists-and-grids/listview.md#items). (Default: `""`)

### ![](/files/hsR4ok3152WyAf8J2C1u) ItemHeight

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): If set, specifies a universal height for all [ListView](#listview) items. (Default: `-1`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Items

[ListViewItemCollection](/api/wisej.web/lists-and-grids/listview/wisej.web.listview.listviewitemcollection.md): Returns a collection containing all items in the control.

### ![](/files/hsR4ok3152WyAf8J2C1u) LargeImageList

[ImageList](/api/wisej.web/content/imagelist.md): Returns or sets the [ImageList](/api/wisej.web/content/imagelist.md) to use to display the main icon in the [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) elements. (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) ListView

[ListView](/api/wisej.web/lists-and-grids/listview.md): Returns the [ListView](/api/wisej.web/lists-and-grids/listview.md) control associated with this [ListViewComboBox](/api/wisej.web/lists-and-grids/wisej.web.listviewcombobox.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) SelectedIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the index of the currently selected item.

**Throws:**

* [ArgumentOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.argumentoutofrangeexception) The specified index is less than -1; o the specified index is greater than the number of items in the combo box.

### ![](/files/hsR4ok3152WyAf8J2C1u) SelectedItem

[ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md): Returns or sets the selected [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) in the drop down [ListView](/api/wisej.web/lists-and-grids/listview.md) control.

### ![](/files/hsR4ok3152WyAf8J2C1u) SelectedValue

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns or sets the selected value in the [DataSource](#datasource) corresponding to the current item. It is always null when the control is not data bound.

This property returns the [DataBoundItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md#databounditem) for the currently [SelectedItem](#selecteditem) and sets the current position in the [DataSource](#datasource) to the index of the value found un the [DataSource](#datasource).

### ![](/files/hsR4ok3152WyAf8J2C1u) SmallImageList

[ImageList](/api/wisej.web/content/imagelist.md): Returns or sets the [ImageList](/api/wisej.web/content/imagelist.md) to use to display the main icon in the [ListViewItem](/api/wisej.web/lists-and-grids/listview/wisej.web.listviewitem.md) elements. (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Text

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the text associated with this control. (Default: `""`)

### ![](/files/hsR4ok3152WyAf8J2C1u) View

[View](/api/wisej.web/lists-and-grids/listview/wisej.web.view.md): Returns or sets how items are displayed in the control. (Default: `Details`)

## Implements

| Name                                                                              | Description                                                                                                                                                                                                                                     |
| --------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface.                                                                                                                                 |
| [IBindableComponent](/api/wisej.web/data-binding/wisej.web.ibindablecomponent.md) | Bindable components implement this interface.                                                                                                                                                                                                   |
| [IDropTarget](/api/wisej.web/interfaces/wisej.web.idroptarget.md)                 | Controls that support drag & drop operations implement this interface.                                                                                                                                                                          |
| [ILabel](/api/wisej.web/interfaces/wisej.web.ilabel.md)                           | Provides access to the [LabelWrapper](/api/wisej.web/editors/wisej.web.labelwrapper.md) associated with the controls that implement this interface.                                                                                             |
| [IReadOnly](/api/wisej.web/interfaces/wisej.web.ireadonly.md)                     | Provides access to the [ReadOnly](/api/wisej.web/interfaces/wisej.web.ireadonly.md#readonly) property for coontrols that support the read-only mode.                                                                                            |
| [IModified](/api/wisej.web/interfaces/wisej.web.imodified.md)                     | Provides access to the [Modified](/api/wisej.web/interfaces/wisej.web.imodified.md#modified) property and [ModifiedChanged](/api/wisej.web/interfaces/wisej.web.imodified.md#modifiedchanged) event for controls that implement this interface. |
| [IValidation](/api/wisej.web/interfaces/wisej.web.ivalidation.md)                 | Provides access to the validation events and properties property for controls that support validation.                                                                                                                                          |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                                                                                                                                                  |
| [IWisejControl](/api/wisej.core/interfaces/wisej.core.iwisejcontrol.md)           | All wisej controls derived from the [Control](/api/wisej.web/general/control.md) class must implement this interface.                                                                                                                           |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                                                                                                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/wisej.web.listviewcombobox.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
